using System;

internal sealed class Delegate662 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate662 delegate662_1)
	{
		return delegate662_1(object_0);
	}

	public extern Delegate662(object object_0, IntPtr intptr_0);

	static Delegate662()
	{
		Class10.smethod_13(typeof(Delegate662).TypeHandle);
	}

	internal static Delegate662 delegate662_0;
}
